package kr.co.vividnext.sodalive.audio_content

import com.google.gson.annotations.SerializedName
import java.util.TimeZone

data class AddAllPlaybackTrackingRequest(
    @SerializedName("timezone") val timezone: String = TimeZone.getDefault().id,
    @SerializedName("trackingDataList") val trackingDataList: List<PlaybackTrackingData>
)

data class PlaybackTrackingData(
    @SerializedName("contentId") val contentId: Long,
    @SerializedName("playDateTime") val playDateTime: String,
    @SerializedName("isPreview") val isPreview: Boolean,
)
