package kr.co.vividnext.sodalive.live.room.info

import com.google.gson.annotations.SerializedName

data class LiveRoomMember(
    @SerializedName("id") val id: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileImage") val profileImage: String,
    @SerializedName("role") val role: LiveRoomMemberRole
)

enum class LiveRoomMemberRole {
    @SerializedName("LISTENER")
    LISTENER,
    @SerializedName("SPEAKER")
    SPEAKER,
    @SerializedName("MANAGER")
    MANAGER
}
